<template>
    <v-app id="inspire">
        <v-layout class="fill-height">
            <Drawer @logout="logout" :panelVisibleItems="panelVisibleItems"></Drawer>
            <v-layout>
                <router-view></router-view>
            </v-layout>
        </v-layout>
    </v-app>
</template>
<script>
    import {mapActions, mapMutations, mapState} from "vuex";
    import Drawer from "../components/drawer";

    export default {
        name: "Main",
        components: {Drawer},
        methods: {
            ...mapMutations({}),
            ...mapActions({
                logout: 'main/logout',
                getCurrentOperator: 'main/getCurrentOperator'
            }),
        },
        computed: {
            ...mapState({
                panelVisibleItems: state => state.main.panelVisibleItems,
                isLoadingPanelVisibleItems: state => state.main.isLoadingPanelVisibleItems
            })
        },
        mounted() {
            this.getCurrentOperator();
        }
    }
</script>
<style scoped>
</style>